Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage.txn
Class TxnCommit

    java.lang.Object
      org.exist.storage.journal.AbstractLoggable
          org.exist.storage.txn.TxnCommit

All Implemented Interfaces:
  Loggable

public class TxnCommit
extends AbstractLoggable

Author:
  wolf

Constructor Summary
`TxnCommit(DBBroker broker, long transactionId)`
`TxnCommit(long transactionId)`

Method Summary
`java.lang.String` | `dump()` Default implementation returns the current LSN plus the class name of the Loggable instance.
`int` | `getLogSize()` Returns the size of the work load of this entry.
`void` | `read(java.nio.ByteBuffer in)` Read the entry.
`void` | `write(java.nio.ByteBuffer out)` Write this entry to the specified ByteBuffer.

Methods inherited from class org.exist.storage.journal.AbstractLoggable
`clear, getLogType, getLsn, getTransactionId, redo, setLsn, undo`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TxnCommit

    public TxnCommit(long transactionId)

### TxnCommit

    public TxnCommit(DBBroker broker,
                     long transactionId)

Method Detail

### write

    public void write(java.nio.ByteBuffer out)

  Description copied from interface: `Loggable`
  Write this entry to the specified ByteBuffer.

  Parameters:
    `out` -

### read

    public void read(java.nio.ByteBuffer in)

  Description copied from interface: `Loggable`
  Read the entry.

  Parameters:
    `in` -

### getLogSize

    public int getLogSize()

  Description copied from interface: `Loggable`
  Returns the size of the work load of this entry.

  Returns:
    size of the work load of this entry.

### dump

    public java.lang.String dump()

  Description copied from class: `AbstractLoggable`
  Default implementation returns the current LSN plus the class name of the Loggable instance.

  Specified by:
    `dump` in interface `Loggable`
  Overrides:
    `dump` in class `AbstractLoggable`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.